Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.util
Class DGraph.Node

    java.lang.Object
      unity.util.DGraph.Node

Enclosing class:
  DGraph

    public class DGraph.Node

extends java.lang.Object

Constructor Summary
`DGraph.Node()`
`DGraph.Node(java.lang.String l)`
`DGraph.Node(java.lang.String l, int w)`

Method Summary
`boolean` | `addEdge(DGraph.Edge e)`
`boolean` | `addEdge(java.lang.String fromNodeLabel, java.lang.String edgeLabel, int weight)`
`int` | `getDistance()`
`int` | `getDistance(int i)`
`int[]` | `getDistances()`
`DGraph.Edge` | `getEdge(java.lang.String edgeLabel)`
`DGraph.Edge` | `getEdgeByNode(java.lang.String fromNodeLabel)`
`DGraph.Edge` | `getEdgeTaken()`
`java.lang.String` | `getLabel()`
`int` | `getMarker()`
`java.lang.Object` | `getObject()`
`DGraph.Edge[]` | `getPredecessor()`
`boolean` | `getTie()`
`boolean[]` | `getTies()`
`boolean` | `getVisited()`
`int` | `getWeight()`
`boolean` | `isEdge(java.lang.String edgeLabel)`
`boolean` | `isEdgeByNode(java.lang.String fromNodeLabel)`
`void` | `removeAllInEdges()`
`void` | `removeEdge(java.lang.String edgeLabel)`
`void` | `removeEdgeByNode(java.lang.String fromNodeLabel)`
`void` | `setDistance(int v)`
`void` | `setDistances(int[] d)`
`void` | `setEdgeTaken(DGraph.Edge e)`
`void` | `setLabel(java.lang.String l)`
`void` | `setMarker(int m)`
`void` | `setObject(java.lang.Object o)`
`void` | `setPredecessor(DGraph.Edge[] e)`
`void` | `setTie(boolean t)`
`void` | `setTies(boolean[] t)`
`void` | `setVisited(boolean v)`
`void` | `setWeight(int w)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGraph.Node

    public DGraph.Node(java.lang.String l,
                       int w)

### DGraph.Node

    public DGraph.Node(java.lang.String l)

### DGraph.Node

    public DGraph.Node()

Method Detail

### getWeight

    public int getWeight()

### getLabel

    public java.lang.String getLabel()

### getMarker

    public int getMarker()

### getVisited

    public boolean getVisited()

### getObject

    public java.lang.Object getObject()

### getDistance

    public int getDistance()

### getEdgeTaken

    public DGraph.Edge getEdgeTaken()

### getTie

    public boolean getTie()

### getDistances

    public int[] getDistances()

### getDistance

    public int getDistance(int i)

### getPredecessor

    public DGraph.Edge[] getPredecessor()

### getTies

    public boolean[] getTies()

### setWeight

    public void setWeight(int w)

### setMarker

    public void setMarker(int m)

### setVisited

    public void setVisited(boolean v)

### setLabel

    public void setLabel(java.lang.String l)

### setDistance

    public void setDistance(int v)

### setEdgeTaken

    public void setEdgeTaken(DGraph.Edge e)

### setDistances

    public void setDistances(int[] d)

### setPredecessor

    public void setPredecessor(DGraph.Edge[] e)

### setTie

    public void setTie(boolean t)

### setTies

    public void setTies(boolean[] t)

### setObject

    public void setObject(java.lang.Object o)

### getEdgeByNode

    public DGraph.Edge getEdgeByNode(java.lang.String fromNodeLabel)

### getEdge

    public DGraph.Edge getEdge(java.lang.String edgeLabel)

### isEdgeByNode

    public boolean isEdgeByNode(java.lang.String fromNodeLabel)

### isEdge

    public boolean isEdge(java.lang.String edgeLabel)

### addEdge

    public boolean addEdge(java.lang.String fromNodeLabel,
                           java.lang.String edgeLabel,
                           int weight)

### addEdge

    public boolean addEdge(DGraph.Edge e)

### removeEdgeByNode

    public void removeEdgeByNode(java.lang.String fromNodeLabel)

### removeEdge

    public void removeEdge(java.lang.String edgeLabel)

### removeAllInEdges

    public void removeAllInEdges()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD